:root {
  /* Colors */
  --clr-heading-primary: #212121;
  --clr-heading-secondary: #1f1c39;
  --clr-text-primary: #797979;
  --clr-text-secondary: #909090;
  --clr-footer-bg: #333333;
  --clr-button-primary: #2d9da6;
  --clr-button-secondary: #5bc2be;
  --clr-about-primary: #eeeeee;
  --clr-about-heading: #454545;
  --clr-accent: #fae5de;
  --clr-primary: #ffffff;

  /* Fonts */
  --ff-text: "Montserrat", sans-serif;
  --ff--heading: "Prompt", sans-serif;

  --fw-200: 200;
  --fw-300: 300;
  --fw-400: 400;
  --fw-500: 500;
  --fw-600: 600;
  --fw-700: 700;

  --fs-heading-1: 3.85rem;
  --fs-heading-2: 2.5rem;
  --fs-body: 1.125rem;
  --fs-text: 1.875rem;
  --fs-nav: 1.315rem;
  --fs-button: 1.15rem;
}

/* Resets -Normali */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--clr-about-primary);
  font-family: var(--ff-text);
  line-height: 1.16;
}

.flex-wrapper {
  display: flex;
  min-height: 100vh;
  flex-direction: column;
  /* justify-content: flex-start; */
  max-width: 100%;
}


button,
input,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */

textarea {
  overflow: auto;
}

li {
  list-style: none;
}

a {
  text-decoration: none;
}

b,
strong {
  font-weight: bolder;
}

img {
  max-width: 100%;
  display: block;
  width: 500px;
  border-radius: 10px;
}

.container {
  margin: 0 auto;
  width: 90%;
}

/* Home styling goes here */
header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: var(--clr-about-primary);
  padding: 1.3rem 1.18rem;
  box-shadow: 0px 3px 12px -3px rgba(0, 0, 0, 0.2);
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  position: relative;
  position: sticky;
  top: 0;
  right: 0;
  z-index: 3;
}

.logo {
  width: 6.25rem;
  cursor: pointer;
}

.nav-menu {
  /* display: inline-block; */
  background-color: var(--clr-about-primary);
  position: absolute;
  top: 0;
  right: 0;
  padding: 1.8rem 1rem;
  width: 100%;
  height: 60svh;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  box-shadow: 0px 3px 12px -3px rgba(0, 0, 0, 0.2);
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
}

.open[aria-expanded=true] {
  display: flex;
}

.nav-menu__items {
  text-align: center;
}

.nav-menu__items li {
  margin-bottom: 1.8rem;
  letter-spacing: 1.3px;
  font-size: var(--fs-nav);
  font-weight: var(--fw-600);
}

.nav-menu__items a {
  color: var(--clr-heading-primary);
}

.action-btn {
  text-align: center;
}

.menu {
  font-size: 2rem;
  color: var(--clr-heading-secondary);
}

#open {
  display: block;
}

#close {
  text-align: right;
  display: block;
}

.btn {
  /* width: 45%; */
  padding: 0.8rem 2rem;
  font-family: inherit;
  font-size: var(--fs-button);
  font-weight: 600;
  border: none;
  border-radius: 10px;
  box-shadow: 0px 3px 10px -3px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  letter-spacing: 1px;
}

.signin-btn {
  margin-right: 1rem;
  background-color: var(--clr-button-primary);
  color: var(--clr-about-primary);
}

.signout-btn {
  border: 1px solid var(--clr-button-primary);
  color: var(--clr-button-primary);
  background-color: transparent;
}


.hero {
  background-image: url("./assets/heroImage.jpg");
  min-height: 60vh;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}


.card-list {
  padding: 4rem 0;
}

.card-list__details {
  margin: 3.9rem 0;
  background-color: var(--clr-accent);
  padding: 3rem 5rem;
  border-radius: 20px;
}

.flex-items__text {
  font-family: var(--ff--heading);
  letter-spacing: 1px;
}

.flex-items__order {
  order: 2;
}

.flex-items__text h2 {
  color: var(--clr-heading-primary);
  margin-top: 2.5rem;
}

.card-list__details>img {
  margin-top: 3rem;
}

.flex-items__text p {
  margin: 1.2rem 0;
  letter-spacing: 1px;
  line-height: 2;
  font-family: var(--ff-text);
  color: var(--clr-text-primary);

}

.btn {
  transition: .6s;
  box-shadow: 1px 3px 8px -3px rgba(0, 0, 0, 0.4);
}

.btn:hover {
  transform: scale(1.1);
}


.about {
  background-color: var(--clr-heading-secondary);
  padding: 5rem 0;
}

.about-items__details {

  color: var(--clr-about-primary);
  letter-spacing: 1px;
  line-height: 1.6;
}

.about-items__details h2 {
  font-size: var(--fs-heading-2);
  font-family: var(--ff--heading);
  margin: 3rem 0 1rem 0;
}

.about-items__details p {
  word-break: break-all;
}




/* BreakPoint for desktop */

@media (min-width: 970px) {
  header {
    padding: 1.8rem 2.75rem;
  }

  .logo {
    width: 9.25rem;
  }

  #close {
    display: none;
  }

  .nav-menu {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    position: static;
    padding: unset;
    height: unset;
    width: unset;
    box-shadow: none;
    border-radius: unset;
  }

  #open {
    display: none;
  }

  .nav-menu__items {
    display: flex;
    gap: 1.7rem;
    padding-top: 1rem;
  }

  .nav-menu__items li::after {
    content: "";
    width: 0;
    display: block;
    height: 0.3rem;
    margin-top: 0.45rem;
    background-color: var(--clr-button-secondary);
    transition: 0.5s ease-in-out;
  }

  .nav-menu__items li:hover::after {
    width: 100%;
  }

  .flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .flex-items__text {
    width: 40%;
  }

  .flex-items__text h2 {
    font-size: var(--fs-heading-2);
  }

  .about-items img {
    margin: 0 4rem;
  }

  .about-items__details {
    width: 40%;
  }

  .about-items__details h2 {
    font-weight: 600;
  }

  .about-items__details p {
    margin-top: 2rem;
    line-height: 2;
    font-family: var(--ff-text);
  }

}

@media (max-width: 1109px) and (min-width: 955px) {
  .action-btn {
    display: grid;
    gap: 8px;
  }
}

/*Section styles for curation of different subject for frontend quizzes*/
#front-end-quizzes {
  /* padding: 5rem 0; */
  text-align: center;
}

#front-end-quizzes .section-title {
  font-size: var(--fs-heading-2);
  /* font-size: 2rem; */
  margin: 4rem 0rem;
  font-family: var(--ff--heading);
  color: var(--clr-heading-secondary);
  /* color: #1e1b38; */
}

.quiz-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 3rem;
  margin-bottom: 4rem;
  /* margin-top: 3rem; */
}

.quiz {
  /* background-color: #fff1ec; */
  background-color: var(--clr-accent);
  padding: 3rem;
  border-radius: 10px;
  /* box-shadow: 0 10px 20px rba(0, 0, 0, 0.1); */
  text-align: center;
  flex: 0;
  transition: transform 0.3s, box-shadow 0.3s;
  min-width: 30%;
  line-height: 1.7;
}

.quiz:hover {
  transform: translateY(-5px);
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.2);
}

/*CTA button syles*/
.cta-button {
  display: inline-block;
  background-color: var(--clr-button-primary);
  /* background-color: #2d9da6; */
  margin-top: 1rem;
  color: var(--clr-primary);
  /* color: #ffffff; */
  padding: 0.7rem 2rem;
  border-radius: 5px;
  text-decoration: none;
  border: 1px solid var(--clr-button-primary);
  /* border: 1px solid #2d9da6; */
  transition: background-color 0.3s, border-color 0.3s;
}

.cta-button:hover {
  background-color: var(--clr-button-secondary);
  /* background-color: #5bc2be; */
  border-color: var(--clr-button-secondary);
  /* border-color: #5bc2be; */
}

/* Footer styles */
footer {
  background-color: var(--clr-footer-bg);
  /* background-color: #333333; */
  color: var(--clr-primary);
  /* color: #ffffff; */
  text-align: center;
  padding: 1rem 0;
  /* position: absolute;
  bottom: 0; */
  width: 100%;
  margin-top: auto;
}

/*Responsive media queries for frontend quizzes*/
@media screen and (max-width: 768px) {
  #front-end-quizzes {
    padding: 3rem 0;
  }

  .quiz-list {
    gap: 2rem;
  }

  .quiz {
    flex: 0 0 calc(50% - 1rem);
  }
}

@media screen and (max-width: 480px) {
  .quiz {
    flex: 0 0 100%;
  }
}

/* Section for start quiz styles*/

#quiz-container {
  text-align: center;
  margin-top: 5rem;
}

/* #instructions {
  margin-top: 20px;
} */

#timer {
  text-align: center;
  margin-top: 20px;
  color: var(--clr-text-primary);
  /* font-size: var(--fs-text); */
}

.quiz-category-page {
  max-width: 500px;
  /* Increased width for a better layout */
  margin: 20px auto;
  min-width: 40%;
  padding: 20px;
  background-color: var(--clr-accent);
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

#front-end-quizzes_align {
  text-align: left;
  padding: 20px 1.5rem;
}

.quiz-category-page h2 {
  text-align: center;
  margin-bottom: 20px;
  color: var(--clr-heading-secondary);
}

.quiz-category-page button {
  background-color: var(--clr-button-primary);
  color: var(--clr-primary);
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
  /* Smooth hover effect */
}

.quiz-category-page button:hover {
  background-color: var(--clr-button-secondary);
}

ul.options {
  list-style: none;
  padding: 0;
}

ul.options li {
  margin: 10px 0;
}

.question {
  display: none;
  animation: fadeIn 0.5s ease-in-out;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* Style labels for radio options */
ul.options label {
  display: block;
  padding: 10px;
  background-color: var(--clr-accent);
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

ul.options label:hover {
  background-color: var(--clr-button-secondary);
}

/* Style forselected radio option label */
/* ul.options label input[type="radio"]:checked + label {
  /* background-color: #007bff; */
/* color: #fff; */
*/

/* Style quiz feedback */
#quiz-feedback {
  text-align: center;
  /* font-size: 18px; */
  margin-top: 20px;
}

/* Style timer display */
#time-remaining {
  color: var(--clr-button-primary);
  /* Blue timer color */
  font-weight: bold;
}

/*Quiz navigation button*/
#quiz-navigation {
  display: flex;
  justify-content: space-between;
}

@media (max-width: 500px) {
  .quiz-category-page {
    margin: 20px 1rem;
  }

  .card-list__details {
    padding: 3rem 0px;
  }
}

@media(max-width: 350px) {
  .nav-menu {
    height: 70svh;
  }

  .action-btn {
    display: grid;
    gap: 10px;
  }
}

@media (max-width: 950px) {
  .about-items {
    display: grid;
    justify-items: center;
    gap: 5rem;
    text-align: center;
  }

  .about-items img {
    order: 2;
  }

  .card-list__details {
    display: grid;
    text-align: center;
    /* align-items: center; */
    justify-items: center;
  }
}